Skip to main content
Resource Center/Network Service/Network Service Operations/IPsec Operations
GETIPsec OperationsSince 4.5.0SynchronousAuth Required

QueryIPSecConnection

QueryIPSecConnection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • peerAddressStringRequired

      The remote network address.

    • authModeStringRequired

      The authentication mode.

    • authKeyStringRequired

      The authentication key.

    • vipUuidStringRequired

      The VIP UUID.

    • ikeAuthAlgorithmStringRequired

      The IKE authentication algorithm.

    • ikeEncryptionAlgorithmStringRequired

      The IKE encryption algorithm.

    • ikeDhGroupIntegerRequired

      The IKE DH group.

    • policyAuthAlgorithmStringRequired

      The ESP authentication algorithm.

    • policyEncryptionAlgorithmStringRequired

      The ESP encryption algorithm.

    • pfsStringRequired

      The PFS DH group.

    • policyModeStringRequired

      The encryption mode.

    • transformProtocolStringRequired

      The security protocol.

    • ikeVersionStringRequired

      The IKE version.

    • idTypeStringRequired

      The ID configuration method.

    • localIdStringRequired

      The local ID.

    • remoteIdStringRequired

      The remote ID.

    • stateStringRequired

      The running state.

    • statusStringRequired

      The ready status.

    • ikeLifeTimeintRequired

      The IKE lifetime.

    • lifeTimeintRequired

      The IPsec lifetime.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • peerCidrsListRequired

      See peerCidrs.

      • uuidStringRequired

        The resource UUID.

      • cidrStringRequired

        No description provided.

      • connectionUuidStringRequired

        连接UUID。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • l3NetworkRefsListRequired

      See l3NetworkRefs.

      • uuidStringRequired

        The resource UUID.

      • connectionUuidStringRequired

        连接UUID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/ipsec

/zstack/v1/ipsec

Operation ID

QueryIPSecConnection

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ipsec' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "Test-IPSec", "peerAddress": "100.64.10.10", "authKey": "auth", "vipUuid": "ca0f405c79ea3b53aa588f58ed10e410", "ikeLifeTime": 0.0, "lifeTime": 0.0, "peerCidrs": [ { "uuid": "72744840ae243518859730e99ea42157", "cidr": "192.168.100.0/24", "connectionUuid": "9d832d652fc732d6a5cebe1d8173c6c9", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "l3NetworkRefs": [ {} ] } ] }

Change History

This API has no change history records yet.

View all change history